Bug 799651 - (smb4k) Review Request: smb4k - The SMB/CIFS Share Browser for KDE
Review Request: smb4k - The SMB/CIFS Share Browser for KDE
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-03-03 17:09 EST by Sergio Monteiro Basto
Modified: 2012-04-19 01:24 EDT (History)
6 users (show)

See Also:
Fixed In Version: smb4k-1.0.1-5.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-14 00:36:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sergio Monteiro Basto 2012-03-03 17:09:35 EST
Spec URL: http://www.serjux.com/smb4k/smb4k.spec
SRPM URL: http://www.serjux.com/smb4k/16/smb4k-0.10.12-1.fc16.src.rpm
Description: 

Hi, https://admin.fedoraproject.org/pkgdb/acls/name/smb4k 

smb4k has been orphan at F15 and dropped on F16 , since nobody says if we have an alternative, I continue using smb4k for detect and mount windows Network and smb NAS. 
I had to update the package from 0.10.7 to smb4k-0.10.12, smb4k change to sourceforge and still maintained , if some problem appears. I reused same .spec with minor changes.

So I'd like reinsert smb4k in Fedora .

* Sat Dec 17 2011  Sérgio Basto <sergio@serjux.com> - 0.10.12-1
- New release.
- drop upstreamed patch " a qtstring to fix a compile error".

* Thu Dec 01 2011 Sérgio Basto <sergio@serjux.com> - 0.10.11-1
- update to 0.10.11
- patch a qtstring to fix a compile error.
- update homepage project and url source.
Comment 1 Alec Leamas 2012-03-09 04:56:26 EST
Just running fedora-review, I get the following (just problem parts)
I also note that that %patch0 lacks the prescribed comment. Don't really
have time for a complete review. Hope this helps,

--a

Issues:
[!]: MUST Development .so files in -devel subpackage, if present.
     Note: smb4k-0.10.12-1.fc18.i686.rpm : /usr/lib/kde4/smb4kconfigdialog.so
     smb4k-0.10.12-1.fc18.i686.rpm : /usr/lib/kde4/smb4knetworkbrowser.so
     smb4k-0.10.12-1.fc18.i686.rpm : /usr/lib/kde4/smb4ksearchdialog.so
     smb4k-0.10.12-1.fc18.i686.rpm : /usr/lib/kde4/smb4ksharesview.so
     smb4k-0.10.12-1.fc18.i686.rpm : /usr/lib/libsmb4kcore.so
     smb4k-0.10.12-1.fc18.i686.rpm : /usr/lib/libsmb4kdialogs.so
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files devel section. This is OK if
     packaging for EPEL5. Otherwise not needed
[!]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
Also uses both %{name} and smb4k in different places./a
[!]: MUST Rpmlint output is silent.

rpmlint smb4k-0.10.12-1.fc18.src.rpm

smb4k.src:43: W: macro-in-comment %patch1
smb4k.src:100: W: macro-in-comment %{_kde4_includedir}
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint smb4k-debuginfo-0.10.12-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint smb4k-0.10.12-1.fc18.i686.rpm

smb4k.i686: W: incoherent-version-in-changelog 0.10.11-1 ['0.10.12-1.fc18', '0.10.12-1']
smb4k.i686: E: invalid-soname /usr/lib/libsmb4kdialogs.so libsmb4kdialogs.so
smb4k.i686: W: shared-lib-calls-exit /usr/lib/libsmb4kcore.so.3.2.0 exit@GLIBC_2.0
smb4k.i686: W: devel-file-in-non-devel-package /usr/lib/libsmb4kcore.so
smb4k.i686: E: incorrect-fsf-address /usr/share/doc/smb4k-0.10.12/COPYING
smb4k.i686: W: no-manual-page-for-binary smb4k_umount
smb4k.i686: W: no-manual-page-for-binary smb4k_mount
smb4k.i686: W: no-manual-page-for-binary smb4k_sudowriter
smb4k.i686: W: no-manual-page-for-binary smb4k
smb4k.i686: W: no-manual-page-for-binary smb4k_kill
1 packages and 0 specfiles checked; 2 errors, 8 warnings.


rpmlint smb4k-devel-0.10.12-1.fc18.i686.rpm

smb4k-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mk/tmp/smb4k/smb4k-0.10.12.tar.bz2 :
  MD5SUM this package     : 26205c779461d1e0ec07b310a6cbabf1
  MD5SUM upstream package : 4c5b4f905b8b5db0c15c1fc094abffa7
Comment 2 Michael Schwendt 2012-03-09 10:38:56 EST
> [!]: MUST Development .so files in -devel subpackage, if present.

Alec, please revisit the guidelines:
https://fedoraproject.org/wiki/Packaging:Guidelines#Devel_Packages
Comment 3 Alec Leamas 2012-03-09 10:58:04 EST
First, this is just the output of the fedora-review tool. So your request should really not go to me, but to the writers of that tool.

With that said, I think one aspect of this is that the package installs "private" libraries in public library paths. Since they are installed in /usr/lib{64}  they will be found and exposed by the dynamic linker. That might be the reason that rpmlint complains: it basically either want fully versioned libraries (with proper sonames) in /usr/lib etc., or private libs in other directories outside of ld.so's paths (and where even an rpath might be acceptable).

Whether this really is the rpmlint perspective, and if this is valid is up to others to judge. I'm just a newbie :)
Comment 4 Michael Schwendt 2012-03-09 11:31:31 EST
It is a request to _you_, because you ought to know better than a tool that may not be 100% correct [yet]. A tool's output is useless if you cannot conclude whether the tool is right or wrong.
The output you've copied here refers to library files in %{_libdir}/kde4/ which is a path that gives a big hint that these are very likely not libraries needed during development only.
The other two libs, libsmb4kcore.so.3 and libsmb4kdialogs.so (!), are dependencies of the base smb4k package (query the built packages with rpm -qpR), so obviously there is a connection here, and one must be extra careful to not package them in a wrong subpackage that makes no sense.
Comment 5 Sergio Monteiro Basto 2012-03-09 12:18:56 EST
Hi, I'm at work now , but this weekend I will reply to you ,
Thanks,
Comment 6 José Matos 2012-03-19 10:27:23 EDT
Any news on this?

Regards,
Comment 7 Sergio Monteiro Basto 2012-03-24 08:36:46 EDT
Hi, I am back , I will update smb4k my propose to smb4k-1.0.1 today , 
I read comments here 

I will try do : 
- Package contains a properly installed %{name}.desktop using desktop-file-install file if it is a GUI application.
- devel package.
- and some other 

Stay tuned 

what command do you run with fedora-review ?
Comment 8 Sergio Monteiro Basto 2012-03-24 09:34:29 EDT
Spec URL: http://www.serjux.com/smb4k/smb4k.spec
SRPM URL: http://www.serjux.com/smb4k/16/smb4k-1.0.1-1.fc16.src.rpm

this is just first version some errors will be find.
Comment 9 Sergio Monteiro Basto 2012-03-24 18:46:20 EDT
(In reply to comment #7)
> what command do you run with fedora-review ?

fedora-review -b 799651 --mock-config fedora-16-x86_64

you will end with x86_64.rpm built on /var/lib/mock/fedora-16-x86_64/result/

if you install mock for the first time read this before start:
http://www.serjux.com/alps/how_to_use_mock.txt
Comment 10 Rex Dieter 2012-03-27 15:59:55 EDT
OK, first pass review:

naming: ok

license: ok

sources: ok
$ md5sum *.bz2
c4b515e482ef7a7a834a3b660e1ee4d0  smb4k-1.0.1.tar.bz2

macros: ok (in general, some other suggestions below)

scriptlets: NOT ok

1.  MUST:  fix scriptlets for icons, mimetypes, see:
https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Icon_Cache
https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database

2.  MUST: change subpkg dependencies from
Requires: %{name} = %{version}-%{release}
to
Requires: %{name}%{?_isa} = %{version}-%{release}
See:
https://fedoraproject.org/wiki/Packaging/Guidelines#Requiring_Base_Package

3.  SHOULD: I'd recommend changing
Requires:       %{_bindir}/kdesu
to
Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}
which will capture a minimal (versioned) kde dependency too

4.  MUST change
BuildRequires:  cmake >= 2.6.0
BuildRequires:  kdelibs-devel >= 4.4.0
to
BuildRequires: kdelibs4-devel
the latter is safer (esp say when/if kdelibs-devel upgrades to a potentially incomatible version 5), and it already pulls in cmake for you.

5.  SHOULD omit
# Make symlink relative
snippet, it's not required anymore

6.  MUST document need for the --add-category items in desktop-file-install call

7  SHOULD: in %files, change
/usr/libexec/kde4/mounthelper
to
%{_kde4_libexecdir}/mounthelper

8.  MUST drop -devel subpkg.  there's only a lib symlink and no exported API/headers.  Easier to just delete the symlink (or use %exclude), whatever works for you.


OK, I think that's all I've got, if you can address all these items, should be close to approval.
Comment 11 Sergio Monteiro Basto 2012-03-27 22:44:01 EDT
Spec URL: http://www.serjux.com/smb4k/smb4k.spec
SRPM URL: http://www.serjux.com/smb4k/16/smb4k-1.0.1-2.fc16.src.rpm

OK I will prepare this changes. 


1 done 
2 not need by 8 
3 done 
5 done , but don't understand is not better a symlink relative ? 

# Make symlink relative
pushd %{buildroot}%{_docdir}/HTML/en/smb4k/
ln -sf ../common
popd

6 was already done
7 done
8 done 


4 from http://sourceforge.net/projects/smb4k/files/Smb4K%20%28stable%20releases%29/1.0.1/readme.md/download 

Minimum Requirements
---
* [K Desktop Environment (Libs & Runtime)], version 4.4
* [Qt], version 4.7
* [Samba], version 3.x (3.4 and higher recommended)

so though kdelibs-devel >= 4.4.0 is appropriated
Comment 12 Rex Dieter 2012-03-28 10:23:45 EDT
Re: 4
then please use
BuildRequires: kdelibs4-devel >= 4.4
though I'd still argue the 4.4 is not needed, all versions of fedora shipping now satisfy that.

Re: 5
I'm arguing just remove that snippet about links from the .spec altogether.  It's not needed, and just clutters and complicates the .spec

Re: 6
I see no explanation or documented reasons for 	
 --add-category Network
 --add-category FileTransfer
 --add-category FileManager
did I overlook something?

A simple comment in the .spec near the desktop-file-install call would be sufficient.
did I overlook something?
Comment 13 Sergio Monteiro Basto 2012-03-28 15:12:42 EDT
Spec URL: http://www.serjux.com/smb4k/smb4k.spec
SRPM URL: http://www.serjux.com/smb4k/16/smb4k-1.0.1-3.fc16.src.rpm

Hi,
(In reply to comment #12)
> Re: 4
> then please use
> BuildRequires: kdelibs4-devel >= 4.4
> though I'd still argue the 4.4 is not needed, all versions of fedora shipping
> now satisfy that.

Done, 
one rpm is not just for our systems, could be useful for RHEL and friends and even in other different distros, so accurate information is good . 
 
> Re: 5
> I'm arguing just remove that snippet about links from the .spec altogether. 
> It's not needed, and just clutters and complicates the .spec

anyway the snippet is removed. But still the question, is not better a relative link ? , I will try do it upstream.

 
> Re: 6
> I see no explanation or documented reasons for  
>  --add-category Network
>  --add-category FileTransfer
>  --add-category FileManager

> did I overlook something?
> 
> A simple comment in the .spec near the desktop-file-install call would be
> sufficient.

Done

ah need a explanation or documented reasons .
I change to  "Network, KDE and utilities". I document that, previous categories was not made by me!


> did I overlook something?
I think not
Comment 14 Sergio Monteiro Basto 2012-03-31 18:52:20 EDT
Should I do something ? to move on
Comment 15 Rex Dieter 2012-04-02 08:20:52 EDT
MUST: The scriptlets still look a little wrong.
* there should be no dependency on desktop-file-utils
* you're missing icon scriptlets for oxygen too

SHOULD:  replace %files occurances of
%{_kde4_datadir}/kde4/apps/
with
%{_kde4_appsdir}/
Comment 16 Sergio Monteiro Basto 2012-04-02 18:17:41 EDT
Spec URL: http://www.serjux.com/smb4k/smb4k.spec
SRPM URL: http://www.serjux.com/smb4k/16/smb4k-1.0.1-4.fc16.src.rpm

Hi, 
for faster review, I did a patch of smb4k.spec from version 3 to 4 
http://www.serjux.com/smb4k/smb4k.spec.patch
Comment 17 Sergio Monteiro Basto 2012-04-02 18:22:46 EDT
Spec URL: http://www.serjux.com/smb4k/smb4k.spec
SRPM URL: http://www.serjux.com/smb4k/16/smb4k-1.0.1-4.fc16.src.rpm
Comment 18 Rex Dieter 2012-04-02 20:09:35 EDT
Thanks, I believe that takes care of all blocker MUST items.  

APPROVED
Comment 19 Sergio Monteiro Basto 2012-04-02 20:47:47 EDT
Package Change Request
======================
Package Name: smb4k
New Branches: f15 f16 f17
Owners: sergiomb
Comment 20 Sergio Monteiro Basto 2012-04-05 21:25:10 EDT
Package Change Request
======================
Package Name: smb4k
Branches: f15
Owners: sergiomb 
InitialCC: KDE
New Branches: f16 f17

According
https://admin.fedoraproject.org/pkgdb/acls/name/smb4k
is orphan since Fedora 15 	

As I read on https://fedoraproject.org/wiki/Package_SCM_admin_requests#Package_Change_Requests_for_existing_packages, 

"For unretirement of branches, please simply state which branches should be unretired (and raise the fedora-cvs flag as usual)" 

I want unretirement of a package on f15 branch and add branches f16 and f17 . 
but I don't have permission to raise fedora-cvs flag !

"The Package Name field is mandatory. Please only include other fields which need to be changed or updated. In the Owners field list the branch owner and any comaintainers." 

Well, Rex Dieter, you are welcome as comaintainers or owner, just don't know what is your fas account .

"Please note that when the new branch is created, ownership or CC information will not be copied to the new branch, so be sure to specify in the request all of the owners and initialCC members the new branch should have."
how I do that ? 

I arrive here : 
https://fedoraproject.org/wiki/SIGs/KDE/Packaging/Requests
so InitialCC may be KDE ?
Comment 21 Rex Dieter 2012-04-05 21:48:57 EDT
Don't worry about me, I'll probably add myself afterward.  I would recommend leaving InitialCC: blank, the "KDE" entry there isn't valid (though it probably would be nice if we created some kde-sig meta-user and/or group someday).
Comment 22 Rex Dieter 2012-04-05 21:49:57 EDT
Package Change Request
======================
Package Name: smb4k
Branches: f15
Owners: sergiomb 
InitialCC:
New Branches: f16 f17
Comment 23 Gwyn Ciesla 2012-04-06 08:14:05 EDT
Unretired, but sergiomb is not a sponsored Packager member in FAS.
Comment 24 Rex Dieter 2012-04-06 08:22:03 EDT
Oh, that may explain why FE-NEEDSPONSOR was added (briefly, then removed for some reason).

I'll kick the sponsor piece now.

OK, I think you can go into pkgdb, and take the pkg yourself now,

https://admin.fedoraproject.org/pkgdb/acls/name/smb4k

(login, and click "take ownership" button)
Comment 25 Sergio Monteiro Basto 2012-04-06 08:40:45 EDT
(In reply to comment #24)
> Oh, that may explain why FE-NEEDSPONSOR was added (briefly, then removed for
> some reason).

I block FE-NEEDSPONSOR, after I read the historic in 
https://bugzilla.redhat.com/show_activity.cgi?id=799651, and saw that first thing on this bug was block FE-NEEDSPONSOR, so I though that I made a mistake (make same block for the second time) so remove block FE-NEEDSPONSOR .

I don't understood, Should I need two SPONSORS (one for review and other) ? 
but I have to go now ... 
 
> I'll kick the sponsor piece now.
> 
> OK, I think you can go into pkgdb, and take the pkg yourself now,
> 
> https://admin.fedoraproject.org/pkgdb/acls/name/smb4k
> 
> (login, and click "take ownership" button)

Thanks, I am proud to become a member of fedora packagers.
I will do the rest soon. 
Thanks.
Comment 26 Kevin Kofler 2012-04-06 08:53:30 EDT
You need a sponsor to join the packager group, but part of the job of the sponsor is to do your first review, and to sponsor you only after that review was successful. So FE-NEEDSPONSOR should not be removed before the review is actually complete.
Comment 27 Sergio Monteiro Basto 2012-04-06 20:56:21 EDT
(In reply to comment #23)
> Unretired, but sergiomb is not a sponsored Packager member in FAS.

Jon Ciesla , 
I got 3 problems 

$ fedpkg build
Building smb4k-1.0.1-4.fc18 for rawhide
Created task: 3969955
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=3969955
Watching tasks (this may be safely interrupted)...
3969955 build (rawhide, /smb4k:3e41061bae0aaa19ffbe0368013cc315267d0b26): open (x86-01.phx2.fedoraproject.org)
  3969956 buildSRPMFromSCM (/smb4k:3e41061bae0aaa19ffbe0368013cc315267d0b26): free
  3969956 buildSRPMFromSCM (/smb4k:3e41061bae0aaa19ffbe0368013cc315267d0b26): free -> open (x86-03.phx2.fedoraproject.org)
  3969956 buildSRPMFromSCM (/smb4k:3e41061bae0aaa19ffbe0368013cc315267d0b26): open (x86-03.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
3969955 build (rawhide, /smb4k:3e41061bae0aaa19ffbe0368013cc315267d0b26): open (x86-01.phx2.fedoraproject.org) -> FAILED: BuildError: package smb4k is blocked for tag f18
  0 free  0 open  1 done  1 failed


fedpkg switch-branch f17
Could not execute switch_branch: Unknown remote branch f17

fedpkg switch-branch f16
Could not execute switch_branch: Unknown remote branch f16
Comment 28 Rex Dieter 2012-04-08 20:04:42 EDT
OK, I took care of unblocking the pkg, the last scm change request wasn't valid because you weren't sponsored yet.  let's try again:

Package Change Request
======================
Package Name: smb4k
Owners: sergiomb
New Branches: f16 f17
Comment 30 Sergio Monteiro Basto 2012-04-08 21:50:18 EDT
Package Change Request
======================
Package Name: smb4k
Owners: sergiomb
New Branches: f16 f17
Comment 31 Gwyn Ciesla 2012-04-09 08:30:47 EDT
Git done (by process-git-requests).
Comment 32 Sergio Monteiro Basto 2012-04-09 10:14:52 EDT
smb4k built also for f17, f16 and f15.

Now, shouldn't appears on pending for updates ? 

https://admin.fedoraproject.org/updates/F17/pending
https://admin.fedoraproject.org/updates/F16/pending
https://admin.fedoraproject.org/updates/F15/pending

Thanks to all,
Comment 34 Fedora Update System 2012-04-09 14:24:10 EDT
smb4k-1.0.1-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/smb4k-1.0.1-4.fc17
Comment 35 Fedora Update System 2012-04-09 14:25:20 EDT
smb4k-1.0.1-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/smb4k-1.0.1-4.fc16
Comment 36 Fedora Update System 2012-04-09 14:26:14 EDT
smb4k-1.0.1-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/smb4k-1.0.1-4.fc15
Comment 37 Fedora Update System 2012-04-10 00:23:18 EDT
smb4k-1.0.1-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/smb4k-1.0.1-5.fc15
Comment 38 Fedora Update System 2012-04-10 00:53:19 EDT
smb4k-1.0.1-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/smb4k-1.0.1-5.fc16
Comment 39 Fedora Update System 2012-04-10 01:07:25 EDT
smb4k-1.0.1-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/smb4k-1.0.1-5.fc17
Comment 40 Fedora Update System 2012-04-10 16:18:00 EDT
Package smb4k-1.0.1-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing smb4k-1.0.1-5.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5587/smb4k-1.0.1-5.fc17
then log in and leave karma (feedback).
Comment 41 Sergio Monteiro Basto 2012-04-11 19:08:49 EDT
smb4k-1.0.1-5.fc16 and smb4k-1.0.1-5.fc15 also has been pushed to testing 
you may do: 

yum install --enablerepo=updates-testing smb4k (as root)  

or 

yum update --enablerepo=updates-testing smb4k (as root, if you are in F15 with smb4k installed) .
Comment 42 Fedora Update System 2012-04-14 00:36:34 EDT
smb4k-1.0.1-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 43 Fedora Update System 2012-04-19 01:23:39 EDT
smb4k-1.0.1-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 44 Fedora Update System 2012-04-19 01:24:06 EDT
smb4k-1.0.1-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.